Bug 47679 - Sound output is too fast
Sound output is too fast
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Doug Ledford
Brock Organ
Depends On:
  Show dependency treegraph
Reported: 2001-07-06 10:06 EDT by Kjartan Maraas
Modified: 2007-04-18 12:34 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2001-07-13 18:21:31 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
lspci output (8.07 KB, text/plain)
2001-07-06 10:06 EDT, Kjartan Maraas
no flags Details

  None (edit)
Description Kjartan Maraas 2001-07-06 10:06:10 EDT
Description of Problem:
I open sndconfig and get to the point where the example sound is played.
The sound is output at a much too high speed

How Reproducible:

Steps to Reproduce:
1. sndconfig
2. enter
3. listen

Actual Results:
soundoutput with too high pitch

Expected Results:
normal speach

Additional Information:

I get the following on the console when exiting sndconfig:

PCI: Setting latency timer of device 00:1f.5 to 64

lspci output is attached
Comment 1 Kjartan Maraas 2001-07-06 10:06:35 EDT
Created attachment 22867 [details]
lspci output
Comment 2 Glen Foster 2001-07-13 18:21:27 EDT
This defect considered SHOULD-FIX for Fairfax gold-release.
Comment 3 Doug Ledford 2001-08-02 13:35:42 EDT
This is not an i810 audio bug.  The i810 audio chipset is, quite often, rate
locked.  It is the responsibility of the sox sound program to upsample these low
speed audio clips when the sound card can't be brought all the way down to the
target speed.  Sox doesn't bother to do that.  So, the answer is to get a decent
sound player instead of sox.  Nothing can be done to the i810 audio driver (I
asked, it was denied by the 'powers that be' in kernel land).

Note You need to log in before you can comment on or make changes to this bug.